> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Gen AI endpoints accessible by the user

> Get all Gen AI endpoints accessible by the user



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/gen-ai/beta/endpoints
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/gen-ai/beta/endpoints:
    get:
      tags:
        - GenAI
      summary: Get all Gen AI endpoints accessible by the user
      description: Get all Gen AI endpoints accessible by the user
      operationId: getEndpoints
      parameters:
        - description: The project ID to filter by
          in: query
          name: projectId
          required: false
          schema:
            type: string
        - description: The registered model name to filter by
          in: query
          name: registeredModelName
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelEndpointsListingV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelEndpointsListingV1:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ModelEndpointV1'
          type: array
      required:
        - items
      type: object
    ModelEndpointV1:
      properties:
        createdAt:
          description: The time the endpoint was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/ModelEndpointUserV1'
        currentVersion:
          $ref: '#/components/schemas/ModelEndpointVersionV1'
        description:
          description: The description of the endpoint
          example: My Endpoint Description
          type: string
        generalAccess:
          $ref: '#/components/schemas/ModelEndpointGeneralAccessV1'
        id:
          description: The ID of the endpoint
          example: 62313ce67a0af0281c01a6a5
          type: string
        instructions:
          description: The instructions for using the endpoint
          example: Use the endpoint to generate text
          type: string
        name:
          description: The name of the endpoint
          example: My Endpoint
          type: string
        project:
          $ref: '#/components/schemas/ModelEndpointProjectSummaryV1'
        requestCount:
          description: The number of requests processed by the endpoint
          example: 100
          type: integer
        updatedAt:
          description: The last time the endpoint was modified
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        url:
          description: The URL of the endpoint
          example: https://cloud-dogfood.domino.tech/endpoint/my-endpoint
          type: string
        vanityUrl:
          description: >-
            The optional Vanity url for the Gen AI Endpoint. This will default
            to https://{domino-instance}/endpoints/{endpointName}
          example: https://cloud-dogfood.domino.tech/endpoints/my-endpoint
          type: string
      required:
        - id
        - project
        - creator
        - name
        - vanityUrl
        - url
        - generalAccess
        - updatedAt
        - createdAt
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    ModelEndpointUserV1:
      properties:
        id:
          description: The ID of the user
          example: integration test
          type: string
        name:
          description: The name of the user
          example: Full User Name
          type: string
      required:
        - id
        - name
      type: object
    ModelEndpointVersionV1:
      properties:
        configuration:
          $ref: '#/components/schemas/ModelEndpointConfigurationV1'
        createdAt:
          description: The time the endpoint was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        creator:
          $ref: '#/components/schemas/ModelEndpointUserV1'
        description:
          description: The description of the endpoint version
          example: My Endpoint Version Description
          type: string
        endpointId:
          description: The ID of the endpoint
          example: 62313ce67a0af0281c01a6a5
          type: string
        environment:
          $ref: '#/components/schemas/ModelEndpointEnvironmentSummaryV1'
        executionId:
          description: The ID of the execution serving the endpoint, if present
          example: 62313ce67a0af0281c01a6a5
          type: string
        hardwareTier:
          $ref: '#/components/schemas/ModelEndpointHardwareTierSummaryV1'
        label:
          description: The label of the endpoint version
          example: 1
          type: string
        modelSource:
          $ref: '#/components/schemas/ModelEndpointModelSourceV1'
        modelType:
          $ref: '#/components/schemas/ModelEndpointModelTypeV1'
        number:
          description: The version number of the endpoint
          example: 1
          type: integer
        status:
          $ref: '#/components/schemas/ModelEndpointStatusV1'
      required:
        - endpointId
        - number
        - creator
        - modelSource
        - modelType
        - status
        - environment
        - hardwareTier
        - configuration
        - createdAt
      type: object
    ModelEndpointGeneralAccessV1:
      enum:
        - Restricted
        - Viewer
        - Consumer
      type: string
    ModelEndpointProjectSummaryV1:
      properties:
        id:
          description: Unique identifier for the project
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the project
          example: My Project
          type: string
        owner:
          $ref: '#/components/schemas/ModelEndpointUserV1'
      required:
        - id
        - name
        - owner
      type: object
    ModelEndpointConfigurationV1:
      properties:
        maxNumberOfSequences:
          description: The maximum number of sequences (requests) processed in parallel
          example: 256
          type: integer
        servedModelName:
          description: The name used when calling the endpoint
          example: my-model
          type: string
        tensorParallelism:
          description: The number of GPUs used to split the model for faster inference
          example: 1
          type: integer
        vllmArguments:
          description: The arguments passed to the vLLM binary
          example: '--max-model-length 4095 --gpu-memory-utilization 0.90'
          type: string
      type: object
    ModelEndpointEnvironmentSummaryV1:
      properties:
        id:
          description: Unique identifier for the environment
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the environment
          example: My Environment
          type: string
        revisionId:
          description: The ID of the environment revision used to run the endpoint
          example: 62313ce67a0af0281c01a6a5
          type: string
      required:
        - id
        - name
      type: object
    ModelEndpointHardwareTierSummaryV1:
      properties:
        dataPlaneId:
          description: Unique identifier for the data plane owning the hardware tier
          example: 62313ce67a0af0281c01a6a5
          type: string
        dataPlaneName:
          description: Name of the data plane owning the hardware tier
          example: My Data Plane
          type: string
        id:
          description: Unique identifier for the hardware tier
          example: 62313ce67a0af0281c01a6a5
          type: string
      required:
        - id
        - dataPlaneId
        - dataPlaneName
      type: object
    ModelEndpointModelSourceV1:
      properties:
        huggingFace:
          $ref: '#/components/schemas/ModelEndpointHuggingFaceModelSourceV1'
        registeredModel:
          $ref: '#/components/schemas/ModelEndpointRegisteredModelSourceV1'
      type: object
    ModelEndpointModelTypeV1:
      enum:
        - LLM
        - Embedding
        - OtherGenAI
      type: string
    ModelEndpointStatusV1:
      enum:
        - Building
        - BuildFailed
        - Starting
        - Running
        - Stopping
        - Stopped
        - Failed
        - Unknown
      type: string
    ModelEndpointHuggingFaceModelSourceV1:
      properties:
        apiToken:
          description: The API token for the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        commit:
          description: The commit of the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        modelType:
          $ref: '#/components/schemas/ModelEndpointModelTypeV1'
        path:
          description: The path to the model
          example: my-model
          type: string
      required:
        - path
        - commit
        - modelType
      type: object
    ModelEndpointRegisteredModelSourceV1:
      properties:
        modelName:
          description: The name of the Registered Model
          example: RandomForestRegression
          type: string
        modelVersion:
          description: The version of the Registered Model
          example: 1
          type: integer
      required:
        - modelName
        - modelVersion
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````